import { AnimationTriggerMetadata } from '@angular/animations';
import AnimationStyleProperties from '../entities/QAnimationStyleProperties';
import AbstractBounceAnimationPattern, { BounceAnimationParams } from './AbstractBounceAnimationPattern';
export declare function bounceHorizontalAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare class BounceHorizontalAnimationPattern extends AbstractBounceAnimationPattern {
    duration: number;
    includeVoidTransitions: boolean;
    animationStyleProperties: Array<AnimationStyleProperties>;
    constructor(duration?: number, includeVoidTransitions?: boolean, animationStyleProperties?: Array<AnimationStyleProperties>);
}
