import { AnimationTriggerMetadata } from '@angular/animations';
import AbstractFlyAnimationPattern, { FlyAnimationParams } from './AbstractFlyAnimationPattern';
export declare function flyVerticalAnimation(params?: FlyAnimationParams): AnimationTriggerMetadata;
export declare class FlyVerticalAnimationPattern extends AbstractFlyAnimationPattern {
    flyValue: number;
    duration: number;
    includeVoidTransitions: boolean;
    voidFlyValue: number;
    constructor(flyValue?: number, duration?: number, includeVoidTransitions?: boolean, voidFlyValue?: number);
}
