import AnimationPattern from '../entities/QAnimationPattern';
import { AnimationTriggerMetadata } from '@angular/animations';
export interface HighlightAnimationParams {
    highlightColor?: string;
    duration?: number;
    includeVoidTransitions?: boolean;
    highlightVoidColor?: string;
}
export declare function highlightAnimation(params?: HighlightAnimationParams): AnimationTriggerMetadata;
export declare class HighlightAnimationPattern extends AnimationPattern {
    highlightColor: string;
    duration: number;
    includeVoidTransitions: boolean;
    highlightVoidColor: string;
    constructor(highlightColor?: string, duration?: number, includeVoidTransitions?: boolean, highlightVoidColor?: string);
}
