import AnimationPattern from '../entities/QAnimationPattern';
import { AnimationTriggerMetadata } from '@angular/animations';
export interface RotateAnimationParams {
    rotationValue?: number;
    duration?: number;
    includeVoidTransitions?: boolean;
    voidRotationValue?: number;
}
export declare function rotateAnimation(params?: RotateAnimationParams): AnimationTriggerMetadata;
export declare class RotateAnimationPattern extends AnimationPattern {
    rotationValue: number;
    duration: number;
    includeVoidTransitions: boolean;
    voidRotationValue: number;
    constructor(rotationValue?: number, duration?: number, includeVoidTransitions?: boolean, voidRotationValue?: number);
}
