import AnimationPattern from '../entities/QAnimationPattern';
export interface FlyAnimationParams {
    flyValue?: number;
    duration?: number;
    includeVoidTransitions?: boolean;
    voidFlyValue?: number;
}
declare abstract class AbstractFlyAnimationPattern extends AnimationPattern {
    triggerName: string;
    isVertical: boolean;
    flyValue: number;
    duration: number;
    includeVoidTransitions: boolean;
    voidFlyValue: number;
    constructor(triggerName: string, isVertical?: boolean, flyValue?: number, duration?: number, includeVoidTransitions?: boolean, voidFlyValue?: number);
    static getTransformValue(isVertical: boolean): string;
}
export default AbstractFlyAnimationPattern;
