import AnimationPattern from '../entities/QAnimationPattern';
import { AnimationTriggerMetadata } from '@angular/animations';
export interface FadeAnimationParams {
    fadeValue?: number;
    duration?: number;
    includeVoidTransitions?: boolean;
    voidFadeValue?: number;
}
export declare function fadeAnimation(params?: FadeAnimationParams): AnimationTriggerMetadata;
export declare class FadeAnimationPattern extends AnimationPattern {
    fadeValue: number;
    duration: number;
    includeVoidTransitions: boolean;
    voidFadeValue: number;
    constructor(fadeValue?: number, duration?: number, includeVoidTransitions?: boolean, voidFadeValue?: number);
}
