import { AnimationTriggerMetadata } from '@angular/animations';
import State from './QState';
import Transition from './QTransition';
declare abstract class AbstractAnimationPattern {
    triggerName: string;
    includeVoidTransitions: boolean;
    stateList: Array<State>;
    transitionList: Array<Transition>;
    constructor(triggerName: string, includeVoidTransitions?: boolean);
    setupStateList(stateList: Array<State>): AbstractAnimationPattern;
    setupTransitionList(transitionList: Array<Transition>): AbstractAnimationPattern;
    getTrigger(): AnimationTriggerMetadata;
}
export default AbstractAnimationPattern;
